---
title: "Convert an application to run in ACI."
slug: "convert-an-application-to-run-in-aci"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert an application to run in ACI.

Post/v1/tools/converter/convert-app/aci

Body parameters<select class='api-response-data' aria-label='Media type'><option value='943939de-f24c-4d50-859c-07304cd78039'>application/json</option>
</select>Expand Allobject  requestobject (ConverterSvcConversionRequest)  Requiredinput_imageobject (ConversionRequestImageInfo)  Requirednamestring    Required

Docker image name

auth_configobject (AuthConfig)  

Credentials for authenticating to a docker registry

usernamestring    Required

User name for docker registry authentication

passwordstring    

Password for docker registry authentication. Note that this field may be redacted when it appears in API responses.

output_imageobject (ConversionRequestImageInfo)  Requirednamestring    Required

Docker image name

auth_configobject (AuthConfig)  

Credentials for authenticating to a docker registry

usernamestring    Required

User name for docker registry authentication

passwordstring    

Password for docker registry authentication. Note that this field may be redacted when it appears in API responses.

converter_optionsobject (ConverterSvcConverterOptions)  Requiredallow_cmdline_argsboolean    

Allow command line arguments.

allow_docker_pull_failureboolean    

Allow Docker Pull failure.

certificates Array of object (CertificateConfig)   object  issuerstring    

Certificate issuance strategy

Valid values[
  "MANAGER_CA",
  "NODE",
  "SELF_IAS"
]Default"MANAGER_CA"
subjectstring    

Certificate subject common name, typically a DNS name

keyTypestring    

Type of key to generate

Valid values[
  "RSA"
]Default"RSA"
keyParamobject  

Key parameters. Currently must be an instance of RsaKeyParam, but other types may be supported in the future.

keyPathstring    

Path to expose the key in the application filesystem

certPathstring    

Path to expose the certificate in the application filesystem

debugboolean    

Enables debug logging from EnclaveOS

entrypoint Array of string   

Override the entrypoint of the original container

string    
entrypoint_args Array of string   

Override additional arguments to the container entrypoint

string    
push_converted_imageboolean    

Enables Pushing Converted Image

env_vars Array of string   

List of manifest environment variables. For ACI, these fixed values become part of the security policy.

string    
mutable_env_vars Array of string   

List of mutable environment variable default values. For ACI, these become deployment template parameters.

string    
java_modestring    

Type of the Java JVM used

aci_optionsobject (AciConversionRequestOptions)  Requiredcpu_countinteger  (int32)    

Number of cores

Minimum1Maximum65535Default1
gb_memnumber  (double)    

Container memory size in GBs (1,000,000,000 bytes)

Minimum0Default1.0
wait_for_agentboolean    

Inserts a loop waiting for /opt/fortanix/agent.ready into your application's entrypoint; ensures app startup occurs after confidential compute verifications. Don't touch this unless there's good reason.

Defaulttrue

Responses200

Generated templates

<select class='api-response-data' aria-label='Media type'><option value='a9292882-a8b4-4248-874f-715f9729e7e2'>application/json</option>
</select>Expand Allobject  converted_imageobject (ConverterSvcConvertedImageInfo)  namestring    

Converted image name (with tag)

shastring    

Converted image sha

sizeinteger  (int64)    

Converted image size

configobject (ConverterSvcAciConfig)  caci_templatestring    

Confidential ACI deployment template

exposed_ports Array of object (DockerNetworkPort)   

List of ports exposed by the Docker image.

object  

A port exposed by a docker container.

portinteger    

A valid, specific port number from 1..65535 (inclusive).

protocolstring    

Protocol Associated with a Port exposed by a docker container.

Valid values[
  "Tcp",
  "Udp"
]
